gobgp (4.8.0-2~exp1) experimental; urgency=medium

  * d/control:
    - Update XS-Go-Import-Path to include "v4" component
    - Update minimum required version of dh-golang
  * Update DH_GOLANG_EXCLUDES pattern in d/rules

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 14 Aug 2026 22:08:23 +0000

gobgp (4.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 11 Aug 2026 20:05:05 +0000

gobgp (4.7.0-1) unstable; urgency=medium

  * New upstream release
    - Includes fix for CVE-2026-49838

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 02 Jul 2026 16:24:29 +0000

gobgp (4.6.0-2) unstable; urgency=medium

  * Add missing golang-uber-goleak-dev to Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jun 2026 13:41:54 +0000

gobgp (4.6.0-1) unstable; urgency=medium

  * New upstream release
    - Includes fix for CVE-2026-49837

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 04 Jun 2026 13:28:02 +0000

gobgp (4.5.0-1) unstable; urgency=medium

  * New upstream release:
    - Includes fix for CVE-2026-42285
    - Drop patch applied upstream

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 08 May 2026 13:42:34 +0000

gobgp (4.4.0-1) unstable; urgency=medium

  * New upstream release:
    - Includes fixes for CVE-2026-5122, CVE-2026-5123, CVE-2026-5124,
      CVE-2026-41642 (Closes: #1132653)
    - Drop patch applied upstream
    - Add patch to fix display of gobgpd help message, which should hopefully
      make the build reproducible
  * d/control:
    - Update Standards-Version to 4.7.4 (no changes needed)
    - Update Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 05 Apr 2026 16:29:53 +0000

gobgp (4.3.0-1) unstable; urgency=medium

  * New upstream release:
    - Includes fixes for the following security issues:
      * CVE-2025-7464 (Closes: #1109300)
      * CVE-2026-30405 (Closes: #1131115)
      * CVE-2026-41643
    - Drop d/p/0001-grpc-1.32-compat.patch
  * d/control:
    - Update Standards-Version to 4.7.3, drop Priority field
    - Update Build-Depends and Depends
    - Update Breaks for incus
    - Drop redundant Rules-Requires-Root
  * Update proto generation in d/rules
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 26 Mar 2026 18:48:40 +0000

gobgp (3.36.0-2) unstable; urgency=medium

  * Add back Built-Using stanza in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 27 Apr 2025 15:14:00 +0000

gobgp (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * Replace Built-Using with Static-Built-Using in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 05 Apr 2025 14:10:23 +0000

gobgp (3.35.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Update Build-Depends and Depends

 -- Mathias Gibbens <gibmat@debian.org>  Tue, 04 Mar 2025 13:44:10 +0000

gobgp (3.33.0-1) unstable; urgency=medium

  * New upstream release
  * d/rules:
    - Auto-generate manpages
    - Only include single .md file required for test in -dev package
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 11 Jan 2025 16:04:21 +0000

gobgp (3.32.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 05 Dec 2024 00:09:25 +0000

gobgp (3.31.0-1) unstable; urgency=medium

  * New upstream release
    - Add patch to skip flaky TestWatchEvent (Closes: #1078512)

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 13 Nov 2024 02:52:10 +0000

gobgp (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 04 Oct 2024 01:08:53 +0000

gobgp (3.29.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 10 Aug 2024 20:57:52 +0000

gobgp (3.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Jul 2024 14:35:30 +0000

gobgp (3.27.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 19 Jun 2024 17:38:21 +0000

gobgp (3.25.0-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)
  * Switch to full salsa CI pipeline

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 14 Apr 2024 18:55:07 +0000

gobgp (3.23.0-1) unstable; urgency=medium

  * New upstream release
  * Update years in d/copyright

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 08 Feb 2024 22:42:57 +0000

gobgp (3.21.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends and Depends in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 23 Dec 2023 16:16:06 +0000

gobgp (3.19.0-1) unstable; urgency=medium

  * New upstream release

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 07 Oct 2023 14:45:58 +0000

gobgp (3.16.0-1) unstable; urgency=medium

  * New upstream release
  * Update Build-Depends and Depends in d/control
  * Update years in d/copyright
  * Rebase patch

 -- Mathias Gibbens <gibmat@debian.org>  Thu, 20 Jul 2023 21:02:42 +0000

gobgp (3.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.10.0
  * Revert "Temporarily disabled pb.go regeneration"
    This reverts commit 9032de9f1fc81311fd500472bd0009f5264cad61.
  * Bump protoc-gen-go-grpc to 1.33.3

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Jan 2023 16:46:04 +0800

gobgp (3.9.0-2) unstable; urgency=medium

  * Team upload
  * Fix lxd version in Breaks
  * Add golang-github-golang-protobuf-1-3-dev to Build-Conflicts

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 29 Dec 2022 19:37:55 +0800

gobgp (3.9.0-1) unstable; urgency=medium

  [ Mathias Gibbens ]
  * New upstream version (Closes: #1026137, #1027115)
  * d/control:
    - Update my email address
    - Bump Standards-Version (no changes needed)
    - Mark golang-github-osrg-gobgp-dev as Multi-Arch: foreign
    - Add Breaks for lxd (<< 5.0.1-3)
  * Refresh d/copyright

  [ Shengjing Zhu ]
  * Update Depends for new version
  * Add patch to build with go-grpc 1.32
  * Temporarily disabled pb.go regeneration

 -- Mathias Gibbens <gibmat@debian.org>  Wed, 28 Dec 2022 23:45:51 +0000

gobgp (3.1.0-1~exp1) experimental; urgency=medium

  * New upstream version

 -- Mathias Gibbens <mathias@calenhad.com>  Fri, 15 Apr 2022 01:04:28 +0000

gobgp (2.34.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on
      golang-github-sirupsen-logrus-dev and protobuf-compiler.

  [ Mathias Gibbens ]
  * Package version 2.34.0 (final 2.x release before protobuf version bump)
  * Update d/control
    - Add myself to Uploaders
    - Update Maintainers to current team email address
    - Add Testsuite: autopkgtest-pkg-go
    - Bump debhelper-compat to 13
    - Remove versioned constraint in Build-Depends
    - Update Standards-Version to 4.6.0 (no changes required)
    - Add Rules-Requires-Root: no
  * Update d/copyright
    - Update years
    - Add missing file with a different author
    - Add myself
  * Update d/rules to exclude building an example binary
  * Update d/watch

 -- Mathias Gibbens <mathias@calenhad.com>  Wed, 13 Apr 2022 13:48:51 +0000

gobgp (2.25.0-3) unstable; urgency=medium

  * Team upload
  * d/control:
    - Update/correct Build-Depends and Depends
    - Switch golang-go -> golang-any

 -- Mathias Gibbens <mathias@calenhad.com>  Thu, 25 Nov 2021 23:45:16 +0100

gobgp (2.25.0-2) unstable; urgency=medium

  [ Ville Skyttä ]
  * d/gobgpd.service: use additional options from $GOBGPD_OPTIONS

  [ Vincent Bernat ]
  * d/tests: add a non-trivial autopkgtest

 -- Vincent Bernat <bernat@debian.org>  Thu, 08 Apr 2021 11:26:28 +0200

gobgp (2.25.0-1) unstable; urgency=medium

  * New upstream release.
  * d/lintian-overrides: remove
  * d/bash-completions: do not rename helper completion scripts
    (Closes: #985140)

 -- Vincent Bernat <bernat@debian.org>  Sat, 13 Mar 2021 17:57:01 +0100

gobgp (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: remove patch applied upstream.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Feb 2020 08:02:34 +0100

gobgp (2.11.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: adjust build-depends.
  * d/service: update systemd unit file to use notify and a dynamic user.
  * d/patches: patch to make tests work with more recent version of protobuf.
  * d/install: don't ship gobmp (removed by upstream).

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Dec 2019 13:18:00 +0100

gobgp (1.33-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: fix rebuild of protobuf generated files.
  * d/patches: disable RPKI test requiring network access.

 -- Vincent Bernat <bernat@debian.org>  Thu, 05 Jul 2018 08:50:20 +0200

gobgp (1.32-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 05 Jun 2018 15:32:26 +0200

gobgp (1.31-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 07 May 2018 21:00:48 +0200

gobgp (1.30-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 16 Apr 2018 10:23:36 +0200

gobgp (1.29-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 16 Mar 2018 14:38:15 +0100

gobgp (1.28-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: add patch to use old signature for uuid.NewV4().

 -- Vincent Bernat <bernat@debian.org>  Sat, 10 Feb 2018 16:30:20 +0100

gobgp (1.27-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 06 Jan 2018 14:03:21 +0100

gobgp (1.26-1) unstable; urgency=medium

  * New upstream release.
  * d/control: do not put golang-* package in golang section.
  * d/control: bump Standards-Version.
  * d/install: also ships gobmpd.

 -- Vincent Bernat <bernat@debian.org>  Tue, 12 Dec 2017 15:13:49 +0100

gobgp (1.25-1) unstable; urgency=medium

  * New upstream release.
  * d/control: switch priority to optional.
  * d/control: put golang-* package in golang section.

 -- Vincent Bernat <bernat@debian.org>  Sat, 11 Nov 2017 21:25:11 +0100

gobgp (1.24-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version.
  * d/control: no build-depends on dh-systemd.

 -- Vincent Bernat <bernat@debian.org>  Sat, 07 Oct 2017 08:40:52 +0200

gobgp (1.23-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 07 Sep 2017 08:04:57 +0200

gobgp (1.22-1) unstable; urgency=medium

  * New upstream release.
  * d/watch: update to take the source tarball only.
  * d/rules: install documentation before running tests.
  * d/control: bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Tue, 08 Aug 2017 18:17:25 +0200

gobgp (1.21-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Build-Depends on golang-github-sirupsen-logrus-dev (>= 0.11.0-2~) due
    to capitalization change.

 -- Vincent Bernat <bernat@debian.org>  Tue, 04 Jul 2017 10:51:54 +0200

gobgp (1.20-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 05 Jun 2017 06:20:42 +0200

gobgp (1.19-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 24 May 2017 11:09:04 +0200

gobgp (1.18-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Thu, 13 Apr 2017 09:40:06 +0200

gobgp (1.17-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 15 Mar 2017 09:09:19 +0100

gobgp (1.15-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 08 Jan 2017 17:48:49 +0100

gobgp (1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 25 Dec 2016 17:27:10 +0100

gobgp (1.13-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS on 32-bit archs due to overflow. Closes: #840031.

 -- Vincent Bernat <bernat@debian.org>  Sun, 13 Nov 2016 18:57:54 +0100

gobgp (1.12-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS on i386 due to the use of syscall.SYS_SETSOCKOPT.
      Closes: #836805

 -- Vincent Bernat <bernat@debian.org>  Fri, 07 Oct 2016 18:00:12 +0200

gobgp (1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Sep 2016 10:06:46 +0200

gobgp (1.10-1) unstable; urgency=medium

  * Initial release (Closes: #825183)

 -- Vincent Bernat <bernat@debian.org>  Fri, 02 Sep 2016 14:06:23 +0200
